Ice Reference Documentation
<<< Previous | Properties | Next >>>

# IceGrid Properties

## IceGrid.InstanceName

### Synopsis

    IceGrid.InstanceName=name

### Description

Specifies an alternate identity category for the IceGrid objects. If defined, the identities of the IceGrid objects become

- `name``/Admin`

- `name``/Locator`

- `name``/Query`

If not specified, the default identity category is `IceGrid`.

## IceGrid.Registry.Admin.Endpoints

### Synopsis

    IceGrid.Registry.Admin.Endpoints=endpoints

### Description

Defines the optional administrative endpoints of the IceGrid admin interface. The administrative endpoints must be accessible to clients which are using the IceGrid administrative interface, such as the IceGrid administrative tools.

| Allowing access to the IceGrid admin interface is a security risk! If this property is not defined, the admin interface is disabled.

## IceGrid.Registry.Admin.PublishedEndpoints

### Synopsis

    IceGrid.Registry.Admin.PublishedEndpoints=endpoints

### Description

Defines the optional administrative published endpoints of the IceGrid admin interface. The administrative endpoints must be accessible to clients which are using the IceGrid administrative interface, such as the IceGrid administrative tool. Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

| Allowing access to the IceGrid admin interface is a security risk!

## IceGrid.Registry.Admin.ThreadPool.Size

### Synopsis

    IceGrid.Registry.Admin.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IceGrid.Registry.Admin`.

## IceGrid.Registry.Admin.ThreadPool.SizeMax

### Synopsis

    IceGrid.Registry.Admin.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IceGrid.Registry.Admin`.

## IceGrid.Registry.Admin.ThreadPool.SizeWarn

### Synopsis

    IceGrid.Registry.Admin.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IceGrid.Registry.Admin`.

## IceGrid.Registry.AdminSessionTimeout

### Synopsis

    IceGrid.Registry.AdminSessionTimeout=num

### Description

IceGrid administrative clients might establish a session with the registry to receive updates on the state of the IceGrid registry and nodes. This session must be refreshed periodically. If the client does not refresh its session within `num` seconds, the session is destroyed. If not specified, the default value is 10 seconds.

## IceGrid.Registry.Client.Endpoints

### Synopsis

    IceGrid.Registry.Client.Endpoints=endpoints

### Description

Defines the endpoints of the IceGrid client interface. The client endpoints must be accessible to Ice clients that are using IceGrid to locate objects (see Ice.Default.Locator). This property must be defined.

## IceGrid.Registry.Client.PublishedEndpoints

### Synopsis

    IceGrid.Registry.Client.PublishedEndpoints=endpoints

### Description

Defines the published endpoints of the IceGrid client interface. The client endpoints must be accessible to Ice clients that are using IceGrid to locate objects (see Ice.Default.Locator). Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

## IceGrid.Registry.Client.ThreadPool.Size

### Synopsis

    IceGrid.Registry.Client.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IceGrid.Registry.Client`.

## IceGrid.Registry.Client.ThreadPool.SizeMax

### Synopsis

    IceGrid.Registry.Client.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IceGrid.Registry.Client`.

## IceGrid.Registry.Client.ThreadPool.SizeWarn

### Synopsis

    IceGrid.Registry.Client.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IceGrid.Registry.Client`.

## IceGrid.Registry.Data

### Synopsis

    IceGrid.Registry.Data=path

### Description

Defines the path of the IceGrid registry data directory. This property must be defined, and `path` must already exist.

## IceGrid.Registry.DefaultTemplates

### Synopsis

    IceGrid.Registry.DefaultTemplates=path

### Description

Defines the pathname of an XML file containing default template descriptors. A sample file is provided in the Ice distribution named `config/templates.xml` that contains convenient server templates for IcePatch2 and Glacier2.

## IceGrid.Registry.DynamicRegistration

### Synopsis

    IceGrid.Registry.DynamicRegistration=num

### Description

If `num` is set to a value larger than zero, the locator registry does not require Ice servers to preregister object adapters and replica groups, but rather creates them automatically if they do not exist. If this property is not defined, or `num` is set to zero, an attempt to register an unknown object adapter or replica group causes adapter activation to fail with `Ice.NotRegisteredException`. An object adapter registers itself when the `adapter`.AdapterId property is defined. The `adapter`.ReplicaGroupId property identifies the replica group.

## IceGrid.Registry.Internal.Endpoints

### Synopsis

    IceGrid.Registry.Internal.Endpoints=endpoints

### Description

Defines the endpoints of the IceGrid internal interface. The internal endpoints must be accessible to IceGrid nodes. Nodes use this interface to communicate with the registry. This property must be defined.

## IceGrid.Registry.Internal.PublishedEndpoints

### Synopsis

    IceGrid.Registry.Internal.PublishedEndpoints=endpoints

### Description

Defines the published endpoints of the IceGrid internal interface. The internal endpoints must be accessible to IceGrid nodes. Nodes use this interface to communicate with the registry. Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

## IceGrid.Registry.Internal.ThreadPool.Size

### Synopsis

    IceGrid.Registry.Internal.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IceGrid.Registry.Internal`.

## IceGrid.Registry.Internal.ThreadPool.SizeMax

### Synopsis

    IceGrid.Registry.Internal.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IceGrid.Registry.Internal`.

## IceGrid.Registry.Internal.ThreadPool.SizeWarn

### Synopsis

    IceGrid.Registry.Internal.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IceGrid.Registry.Internal`.

## IceGrid.Registry.NodeSessionTimeout

### Synopsis

    IceGrid.Registry.NodeSessionTimeout=num

### Description

Each IceGrid node establishes a session with the registry that must be refreshed periodically. If a node does not refresh its session within `num` seconds, the node's session is destroyed and the servers deployed on that node become unavailable to new clients. If not specified, the default value is 10 seconds.

## IceGrid.Registry.Server.Endpoints

### Synopsis

    IceGrid.Registry.Server.Endpoints=endpoints

### Description

Defines the endpoints of the IceGrid server interface. The server endpoints must be accessible to Ice servers that are using IceGrid to register their object adapter endpoints. This property must be defined.

## IceGrid.Registry.Server.PublishedEndpoints

### Synopsis

    IceGrid.Registry.Server.PublishedEndpoints=endpoints

### Description

Defines the published endpoints of the IceGrid server interface. The server endpoints must be accessible to Ice servers that are using IceGrid to register their object adapter endpoints. Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

## IceGrid.Registry.Server.ThreadPool.Size

### Synopsis

    IceGrid.Registry.Server.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IceGrid.Registry.Server`.

## IceGrid.Registry.Server.ThreadPool.SizeMax

### Synopsis

    IceGrid.Registry.Server.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IceGrid.Registry.Server`.

## IceGrid.Registry.Server.ThreadPool.SizeWarn

### Synopsis

    IceGrid.Registry.Server.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IceGrid.Registry.Server`.

## IceGrid.Registry.Trace.Adapter

### Synopsis

    IceGrid.Registry.Trace.Adapter=num

### Description

The object adapter trace level:

0 | No object adapter trace. (default)
1 | Trace object adapter registration, removal, and replication.

## IceGrid.Registry.Trace.Node

### Synopsis

    IceGrid.Registry.Trace.Node=num

### Description

The node trace level:

0 | No node trace. (default)
1 | Trace node registration, removal.
2 | Like 1, but more verbose, including load statistics.

## IceGrid.Registry.Trace.Object

### Synopsis

    IceGrid.Registry.Trace.Object=num

### Description

The object trace level:

0 | No object trace. (default)
1 | Trace object registration, removal.

## IceGrid.Registry.Trace.Server

### Synopsis

    IceGrid.Registry.Trace.Server=num

### Description

The server trace level:

0 | No server trace. (default)
1 | Trace server registration, removal.

## IceGrid.Node.CollocateRegistry

### Synopsis

    IceGrid.Node.CollocateRegistry=num

### Description

If `num` is set to a value larger than zero, the node collocates the IceGrid registry.

| The collocated registry is configured with the same properties as the standalone IceGrid registry.

## IceGrid.Node.Data

### Synopsis

    IceGrid.Node.Data=path

### Description

Defines the path of the IceGrid node data directory. The node creates `distrib`, `servers` and `tmp` subirectories in this directory if they do not already exist. The `distrib` directory contains distribution files downloaded by the node from an IcePatch2 server. The `servers` directory contains configuration data for each deployed server. The `tmp` directory holds temporary files.

## IceGrid.Node.Endpoints

### Synopsis

    IceGrid.Node.Endpoints=endpoints

### Description

Defines the endpoints of the IceGrid node interface. The node endpoints must be accessible to the IceGrid registry. The registry uses this interface to communicate with the node.

## IceGrid.Node.PublishedEndpoints

### Synopsis

    IceGrid.Node.PublishedEndpoints=endpoints

### Description

Defines the published endpoints of the IceGrid node interface. The node endpoints must be accessible to the IceGrid registry. The registry uses this interface to communicate with the node. Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

## IceGrid.Node.Name

### Synopsis

    IceGrid.Node.Name=name

### Description

Defines the name of the IceGrid node. All nodes using the same registry must have unique names; a node refuses to start if there is a node with the same name running already.

| The default value is the hostname as returned by `gethostname()`.

## IceGrid.Node.Output

### Synopsis

    IceGrid.Node.Output=path

### Description

Defines the path of the IceGrid node output directory. If set, the node redirects the `stdout` and `stderr` output of the started servers to files named `server`.out and `server`.err in this directory. Otherwise, the started servers share the `stdout` and `stderr` of the node's process.

## IceGrid.Node.PrintServersReady

### Synopsis

    IceGrid.Node.PrintServersReady=token

### Description

The IceGrid node prints "`token` ready" on standard output after all the servers managed by the node are ready. This is useful for scripts that wish to wait until all servers have been started and are ready for use.

## IceGrid.Node.PropertiesOverride

### Synopsis

    IceGrid.Node.PropertiesOverride=overrides

### Description

Defines a list of properties which override the properties defined in server deployment descriptors. For example, in some cases it is desirable to set the property `Ice.Default.Host` for servers, but not in server deployment descriptors. The property definitions should be separated by white space.

## IceGrid.Node.RedirectErrToOut

### Synopsis

    IceGrid.Node.RedirectErrToOut=num

### Description

If `num` is set to a value larger than zero, the `stderr` of each started server is redirected to the server's `stdout`.

## IceGrid.Node.WaitTime

### Synopsis

    IceGrid.Node.WaitTime=num

### Description

Defines the interval in seconds that IceGrid waits for server activation and deactivation.

If a server is automatically activated and does not register its object adapter endpoints within this time interval, the node assumes there is a problem with the server and return an emtpy set of endpoints to the client.

If a server is being gracefully deactivated and IceGrid does not detect the server deactivation during this time interval, IceGrid kills the server.

| The default value is 60 seconds.

## IceGrid.Node.ThreadPool.Size

### Synopsis

    IceGrid.Node.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IceGrid.Node`.

## IceGrid.Node.ThreadPool.SizeMax

### Synopsis

    IceGrid.Node.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IceGrid.Node`.

## IceGrid.Node.ThreadPool.SizeWarn

### Synopsis

    IceGrid.Node.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IceGrid.Node`.

## IceGrid.Node.Trace.Activator

### Synopsis

    IceGrid.Node.Trace.Activator=num

### Description

The activator trace level:

0 | No activator trace. (default)
1 | Trace process activation, termination.
2 | Like 1, but more verbose, including process signaling and more diagnostic messages on process activation.
3 | Like 2, but more verbose, including more diagnostic messages on process activation (e.g., path, working directory and arguments of the activated process).

## IceGrid.Node.Trace.Adapter

### Synopsis

    IceGrid.Node.Trace.Adapter=num

### Description

The object adapter trace level:

0 | No object adapter trace. (default)
1 | Trace object adapter addition, removal.
2 | Like 1, but more verbose, including object adapter activation and deactivation and more diagnostic messages.
3 | Like 2, but more verbose, including object adapter transitional state change (e.g., `waiting for activation').

## IceGrid.Node.Trace.Patch

### Synopsis

    IceGrid.Node.Trace.Patch=num

### Description

The patch trace level:

0 | No patching trace. (default)
1 | Show summary of patch progress.
2 | Like 1, but more verbose, including download statistics.
3 | Like 2, but more verbose, including checksum information.

## IceGrid.Node.Trace.Server

### Synopsis

    IceGrid.Node.Trace.Server=num

### Description

The server trace level:

0 | No server trace. (default)
1 | Trace server addition, removal.
2 | Like 1, but more verbose, including server activation and deactivation and more diagnostic messages.
3 | Like 2, but more verbose, including server transitional state change (activating and deactivating).

<<< Previous | Home | Next >>>
IceBox Properties | Up | IceStorm Properties